package com.sky.ioc.entity.domain.strategy;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName("meeting_room")
public class MeetingRoom {

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String order_no;//排序号')
    private String mr_no;//编号')
    private String name;//会议室名称')
    private Integer floor_id;//楼层')
    private String type;//类型')
    private String status;//状态')
    private String open_time;//开放时间')
    private String close_time;//关闭时间')
    private String audit_time;//会议超过几小时需要审核')
    private String limit_day;//限定可预约时间(天)')
    private Integer is_del;//是否删除')
    private String remark;//备注信息')
    private Integer capacity;//容纳人数')
}
