package com.sky.ioc.entity.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class LoginUserVo implements Serializable {

    private long id;
    /** 用户名 */
    private String user_name;
    /** 头像 */
    private String photograph;
    /** 昵称 */
    private String name;
    /** 手机号 */
    private String phone;
    /** 邮箱 */
    private String email;
    /** 单位ID */
    private String company;
    /** 部门ID */
    private String department;
    /** 在职状态 0-在职 */
    private String on_job_status;
    private String duty;
    /** 账户状态 0-在职 */
    private String account_status;
    private String nationality;
    /** 创建时间 */
    private String register_time;
    /**
     * 常用功能ID，例如 1,5,6
     */
    private  String common_menus;
}
