package com.sky.ioc.service.information.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.sky.ioc.entity.domain.information.FloorConfigurationHistory;
import com.sky.ioc.mapper.information.FloorConfigurationHistoryMapper;
import com.sky.ioc.mapper.information.FloorConfigurationMapper;
import com.sky.ioc.service.information.FloorConfigurationHistoryService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class FloorConfigurationHistoryServiceImpl implements FloorConfigurationHistoryService {

    @Autowired
    FloorConfigurationHistoryMapper floorConfigurationHistoryMapper;

    @Override
    public ReturnMsg getById(Integer id) {
        FloorConfigurationHistory floorConfigurationHistory = floorConfigurationHistoryMapper
                .selectOne(new LambdaQueryWrapper<FloorConfigurationHistory>().eq(FloorConfigurationHistory::getFloor_configuration,id));
        return ReturnMsg.ok(floorConfigurationHistory);
    }
}
