package com.sky.ioc.service.device;

import com.sky.ioc.entity.domain.device.SecurityDevice;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.models.auth.In;

public interface SecurityDeviceService {

    //修改设备
    ReturnMsg editDevice(Integer id,String name,String device_location);
    //添加设备
    ReturnMsg addDevice(String device_ids,String device_type_id );
    //删除设备
    ReturnMsg delDevice(String device_ids,String device_type_id);
    //获取设备详情
    ReturnMsg getDevice(Integer id);

    //根据设备种类获取列表
    ReturnMsg getListByKind(String id);


}
