package com.sky.ioc.service.device.impl;

import com.sky.ioc.mapper.device.EnergyDeviceTypeMapper;
import com.sky.ioc.service.device.EnergyDeviceTypeService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class EnergyDeviceTypeServiceImpl implements EnergyDeviceTypeService {

    @Autowired
    EnergyDeviceTypeMapper energyDeviceTypeMapper;

    @Override
    public ReturnMsg getTypeList() {
        return ReturnMsg.ok(energyDeviceTypeMapper.selectList(null));
    }
}
