package com.sky.ioc.service.information.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.sky.ioc.entity.domain.information.Person;
import com.sky.ioc.mapper.information.PersonMapper;
import com.sky.ioc.service.information.PersonService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class PersonServiceImpl implements PersonService {

    @Autowired
    PersonMapper personMapper;

    @Override
    public ReturnMsg getListByType(Integer type) {
        List<Person> list = personMapper.selectList(new LambdaQueryWrapper<Person>().eq(Person::getType,type));
        return ReturnMsg.ok(list);
    }
}
